# New ports collection makefile for:	lbrate
# Date created:			26 August 2001
# Whom:				Gea-Suan Lin (gslin@ccca.nctu.edu.tw)
#
# $FreeBSD: ports/archivers/lbrate/Makefile,v 1.5 2003/02/21 10:42:56 knu Exp $
#

PORTNAME=	lbrate
PORTVERSION=	1.1
CATEGORIES=	archivers
MASTER_SITES=	ftp://ftp.ibiblio.org/pub/Linux/utils/compress/

MAINTAINER=	gslin@ccca.nctu.edu.tw
COMMENT=	Extract/decompress CP/M LBR archives

LIB_DEPENDS=	gnugetopt:${PORTSDIR}/devel/libgnugetopt

USE_REINPLACE=	yes

MAN1=		lbrate.1

post-patch:
	@${REINPLACE_CMD} -e "s,^CC|^PREFIX,#,g" ${WRKSRC}/Makefile
	@${REINPLACE_CMD} -e "s,%%LOCALBASE%%,${LOCALBASE},g" ${WRKSRC}/Makefile

post-install:
.if !defined(NOPORTDOCS)
	@${MKDIR} ${DOCSDIR}
.for FILE in COPYING ChangeLog README TODO
	@${INSTALL_DATA} ${WRKSRC}/${FILE} ${DOCSDIR}
.endfor
.endif

.include <bsd.port.mk>
